Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.text
Enum OdfCaptionSequenceFormatType

    java.lang.Object
      java.lang.Enum<OdfCaptionSequenceFormatType>
          org.odftoolkit.odfdom.dom.type.text.OdfCaptionSequenceFormatType

All Implemented Interfaces:
  Serializable, Comparable<OdfCaptionSequenceFormatType>

    public enum OdfCaptionSequenceFormatType

extends Enum<OdfCaptionSequenceFormatType>

DOM implementation of OpenDocument attribute text:caption-sequence-format.

Enum Constant Summary
`CAPTION`
`CATEGORY_AND_VALUE`
`TEXT`

Method Summary
`static OdfCaptionSequenceFormatType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfCaptionSequenceFormatType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfCaptionSequenceFormatType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfCaptionSequenceFormatType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CAPTION

    public static final OdfCaptionSequenceFormatType CAPTION

### CATEGORY_AND_VALUE

    public static final OdfCaptionSequenceFormatType CATEGORY_AND_VALUE

### TEXT

    public static final OdfCaptionSequenceFormatType TEXT

Method Detail

### values

    public static OdfCaptionSequenceFormatType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfCaptionSequenceFormatType c : OdfCaptionSequenceFormatType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfCaptionSequenceFormatType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfCaptionSequenceFormatType>`
  Returns:
    return the name of OdfCaptionSequenceFormatType

### toString

    public static String toString(OdfCaptionSequenceFormatType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfCaptionSequenceFormatType, see text:caption-sequence-format
  Returns:
    return the name of OdfCaptionSequenceFormatType

### enumValueOf

    public static OdfCaptionSequenceFormatType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfCaptionSequenceFormatType
  Returns:
    return the constant of OdfCaptionSequenceFormatType, see text:caption-sequence-format

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.